---
title: Void Linux
---

# Void Linux

## Envision

The [official Appimage](https://gitlab.com/gabmus/envision#download-envision) is the easiest way to get Envision working on Void Linux.
Just make sure you have all necessary dependencies installed for building your desired profile.
Envision will warn you if some are missing.
Except for OpenXR these are standard packages which can be found in the Void repositories, you may need `-devel` for some packages like `libbsd-devel` for example.
Getting OpenXR can be a bit tricky, but you can follow the instructions for installing OpenXR on this page to get you started.

## Installing OpenXR

As of writing (April 2025) OpenXR is not available in the Void Linux repositories, you can however build and install it yourself using `xbps-src`.
There is a pending PR over on the void-packages Github page: https://github.com/void-linux/void-packages/pull/54896.

In the meantime you can use the OpenXR template from the PR to build and install OpenXR locally.
Just clone the void-packages repo with the OpenXR template and install using the following steps from within the root dir:

```bash
./xbps-src binary-bootstrap
./xbps-src pkg openxr
xi openxr openxr-devel
```

## Building Monado

Monado may appear to build fine but if you are missing some dependencies only the null compositor will work.
To make a successful build make sure you have the following dependencies installed:

```bash
sudo xbps-install pkg-config python3 wayland-devel glslang vulkan-loader-devel libglvnd-devel eigen libusb-devel eudev-libudev-devel v4l-utils-devel libxcb-devel wayland-devel libX11-devel hidapi-devel libopencv-devel libjpeg-turbo-devel libbluetooth-devel SDL2-devel cJSON-devel gstreamer1-devel gst-plugins-base1-devel
```

There is another [PR](https://github.com/void-linux/void-packages/pull/53279) with templates for xrgears, Monado and libsurvive that you can use, however it is easier and recommended to just use Envision to build everything for you.
